ubuntu/+source/amarok:debian/sid

Last commit made on 2018-05-19
Get this branch:
git clone -b debian/sid https://git.launchpad.net/ubuntu/+source/amarok
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/sid
Repository:
lp:ubuntu/+source/amarok

Recent commits

8caf1bb... by Pino Toscano <email address hidden> on 2018-05-18

Import patches-unapplied version 2.9.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4612a905adf87ce2f157db78d737d2ff761a2755

New changelog entries:
  * Team upload.
  * New upstream release:
    - the Wikipedia applet works with the newer Wikipedia APIs
      (Closes: #851945)
  * Update the patches:
    - backport_dont_add_analyzer_when_not_supported.diff: drop, backported from
      upstream
    - backport_dont_crash_on_shuffle_keyb_shortcut.diff: drop, backported from
      upstream
    - backport_dont_allow_analyzer_with_vlc.diff: drop, backported from
      upstream
    - backport_gcc6.diff: drop, backported from upstream
    - backport_mpris2_desktopentry.diff: drop, backported from upstream
    - debian_disable_qtscriptbindings_check_fix.diff: drop, fixed upstream
    - debian_mysqle_amarok_local_errmsg_feature.diff: refresh/update
    - debian_mysqle_force_defaults_file.diff: disable for now, as it does not
      seem to be needed anymore
    - debian_clamz_is_runtime_dependency.diff: refresh
    - ffmpeg_2.9.patch: drop, fixed upstream
    - backport_fix_taglib_version_check.patch: drop, backported from upstream
  * Update install files.
  * Disable the gpodder.net support, as libmygpo-qt will switch soon to Qt5 in
    Debian: (Closes: #896941)
    - remove the libmygpo-qt-dev build dependency
    - update install files
  * Remove the primary libgpod-nogtk-dev build dependency, leaving the
    alternative libgpod-dev. (Closes: #877295)
  * Remove trailing whitespaces in changelog.
  * Simplify watch file, and switch it to https.
  * Update lintian overrides.
  * Remove from debian/tmp all the stuff we do not want, so it is easier to
    spot uninstalled stuff
    - remove debian/not-installed, no more needed now
  * Replace the libmariadbd-dev build dependency with default-libmysqld-dev,
    so we do not rely anymore on a specific MySQL implementation.
  * Disable the mp3tunes service: moc raises a build error related to GLib
    headers, but it does not provide a meaningful error message to diagnose
    the error; patch no-mp3tunes.diff.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Pass --fail-missing to dh_missing, so no file is missed.
  * Stop passing -Wl,--no-relax as linker flag on alpha, as hopefully the
    problem should be solved after more than 5 years.
  * Switch Homepage to https.

4612a90... by Pino Toscano <email address hidden> on 2017-01-15

Import patches-unapplied version 2.8.0-8 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 382e7e9bb72464a05e085dabce667e0d1b490c5f

New changelog entries:
  * Team upload.
  * Add also the default-libmysqlclient-dev build dependency; apparently
    libmariadbd-dev was not enough (Closes: #849598)
  * Bump the default-libmysqlclient-dev and default-mysql-server-core build
    dependencies to 1.0.2~, so we should build with MariaDB 10.1 as default.
    (Closes: #849326)

382e7e9... by Pino Toscano <email address hidden> on 2016-12-23

Import patches-unapplied version 2.8.0-7 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7c750fcf8036417c8ea8c5e5ed14e8be8c75f6fb

New changelog entries:
  * Team upload.
  * Switch to the default MySQL implementation in Debian:
    - replace the libmysqld-pic build dependency with libmariadbd-dev; while
      it represents the current default MySQL version, in reality something
      like default-mysqld-dev would be needed (Closes: #845798)
    - replace the mysql-server-core-5.6 build dependency alternative with
      default-mysql-server-core (Closes: #815567)
  * Enable the gpodder.net support, now that libmygpo-qt is in Debian:
    (Closes: #655362)
    - add the libmygpo-qt-dev >= 1.0.9-2~ build dependency, with the version
      required because of #838229
    - update install files
  * Drop -DCMAKE_USE_RELATIVE_PATHS=ON from the CMake flags: it is no more
    supported in recent versions.
  * Update lintian overrides.

7c750fc... by Debian KDE Extras Team <email address hidden> on 2016-12-01

Import patches-unapplied version 2.8.0-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c22b19b18b46378d332518d1a64fa15e23c934d0

New changelog entries:
  [ Pino Toscano ]
  * Backport upstream commit 9449ec56d1fd77a0bfa1f7134a2bf4f91ffd14d3 to fix
    the MPRIS2 integration with Plasma 5.7; patch
    backport_mpris2_desktopentry.diff.
  [ Andrey Rahmatullin ]
  * Fix detecting taglib >= 1.10 (Closes: #841134).

c22b19b... by Pino Toscano <email address hidden> on 2016-06-28

Import patches-unapplied version 2.8.0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fe2ba8c1f7a88d99293d0328dd42b25bb9ed8160

New changelog entries:
  * Team upload.
  * Drop menu file and its pixmaps, since amarok already provides a .desktop
    file.
  * Remove amarok-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove unused libstreamanalyzer-dev and libstrigiqtdbusclient-dev build
    dependencies.
  * Nepomuk is being phased out, so drop the support for Nepomuk collections:
    - remove the nepomuk-core-dev and libsoprano-dev build dependencies
    - update the install files
  * Update lintian overrides.
  * Fix a typo in amarokcollectionscanner.1.
  * Remove manual dh_makeshlibs invocation in rules, since what it does is
    already done by the kde dh addon.
  * Remove manual dh_builddeb invocation in rules, since the default
    compression is XZ already in stable.
  * Replace kdemultimedia-kio-plugins with kio-audiocd in README.Debian.
  * Backport upstream commit 9308403e1c8484052f277bf6de32ee07c93a4beb to fix
    build with GCC 6; patch backport_gcc6.diff. (Closes: #822704)
  * Recommend khelpcenter in amarok-doc. (Closes: #718197)
  * Bump Standards-Version to 3.9.8, no changes required.

fe2ba8c... by Samuel Henrique on 2016-03-27

Import patches-unapplied version 2.8.0-4.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 478abbcbadc1046ca347b26ec93d048793505507

New changelog entries:
  * Non-maintainer upload.
  * debian/control:
    - Update to Debian Policy 3.9.7.
    - Build-Depends-Indep: Change build dependency from mysql-server-core to
      virtual-mysql-server-core to allow mariadb usage (closes: #815567).

478abbc... by Diane Trout on 2016-01-09

Import patches-unapplied version 2.8.0-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d82dde1e16f4b1e6650676aa6c250eec1b047e70

New changelog entries:
  * Update watch file.
  * Add ffmpeg-2.9.patch for FFmpeg 2.9 compatibility (Closes: #803797)
    Thanks: Andreas Cadhalpun for the patch.

d82dde1... by Diane Trout <email address hidden> on 2015-07-24

Import patches-unapplied version 2.8.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7b6c03bef6fa1d87fb4adf3863eb389b15cc3cf4

New changelog entries:
  [ Maximiliano Curia ]
  * Refresh patches.
  * New patch: valgrind_uninitialized_value
  [ Diane Trout ]
  * Update build-depends-indep to mysql-server-core-5.6.
    This is needed as the libmysqld-pic version changed to 5.6.x.
    (Closes: #793451)
  * Add myself to uploaders, ACKed by Sune and Lisandro.

7b6c03b... by Sebastian Ramacher on 2014-08-30

Import patches-unapplied version 2.8.0-2.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c665640063f6b140df5737326a529be8ea032d28

New changelog entries:
  * Non-maintainer upload.
  * debian/control: Explicitly list libgcrypt20-dev in Build-Depends (Closes:
    #758412).

c665640... by Modestas Vainius <email address hidden> on 2013-11-04

Import patches-unapplied version 2.8.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7bd8a983f02d7393d993452209189d37b9394eb6

New changelog entries:
  * Drop kdemultimedia-dev build dependency. Apparently, it is not needed.
  * Replace kdemultimedia-kio-plugins Recommends with kio-audiocd.
  * Re-enable QtScript bindings which got disabled due to bug
    (fix debian_disable_qtscriptbindings_check_fix.diff) (Closes: #721882)
  * Describe amzdownloader in amarok-utils package description (Closes: #728037)
  * Backport a fix for a crash on shuffle keyboard shortcut (Closes: #725895)
    Patch: backport_dont_crash_on_shuffle_keyb_shortcut.diff
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Disallow Spectrum Analyzer applet with VLC backend (Closes: #725893)
    Patch (backport): backport_dont_allow_analyzer_with_vlc.diff